amazonlinux2023にてlaravelを使用した場合のapcuエラーについて

0

amazonlinux2023にてlaravelをした際にapcuエラーが起きてしまいます。 amazonlinux2023はepelが使用できないため、apcuのインストールができないのですが、どうにかしてインストールする方法や、 何か解決方法をご存知の方がいましたらお願い致します。

環境 OS:amazonlinux2023 laravel:8.83.0 php:8.1

taka
質問済み 4ヶ月前403ビュー
1回答
0
承認された回答

以下のドキュメントを見る限りFedoraリポジトリに含まれているようなのでFedoraリポジトリを追加してインストールしてみました。
https://rpms.remirepo.net/rpmphp/zoom.php?rpm=php-pecl-apcu

Fedoraリポジトリの追加は以下のブログが参考になると思います。
https://w.atwiki.jp/sanosoft/pages/218.html

以下実行コマンドとファイルの内容です。
最後のコマンドを実行すると「apcu」がインストールされていることが確認できます。

sudo vi /etc/yum.repos.d/fedora.repo

[fedora]
name=Fedora 36 - $basearch
#baseurl=http://download.example/pub/fedora/linux/releases/36/Everything/$basearch/os/
metalink=https://mirrors.fedoraproject.org/metalink?repo=fedora-36&arch=$basearch
enabled=0
countme=1
metadata_expire=7d
repo_gpgcheck=0
type=rpm
gpgcheck=1
gpgkey=https://getfedora.org/static/fedora.gpg
skip_if_unavailable=False

sudo dnf --enablerepo=fedora install php-pecl-apcu -y
php -m | grep "apcu"
profile picture
エキスパート
回答済み 4ヶ月前
  • ありがとうございます。解決いたしました。

ログインしていません。 ログイン 回答を投稿する。

優れた回答とは、質問に明確に答え、建設的なフィードバックを提供し、質問者の専門分野におけるスキルの向上を促すものです。

質問に答えるためのガイドライン